;+
;  $Id: thm_sst_pser.pro 1777 2007-10-22 18:26:13Z jimm $
;-
function thm_sst_pser,time,index=index,probe=probe,times=times

data_cache,'th'+probe+'_sst_raw_data',data,/get

if not keyword_set(data) then begin
   dprint,dlevel=0,'No data loaded for ',probe
   return,0
endif

if keyword_set(times) then return, *data.ser_001_time

dptr = data.ser_001_data
dim = size(/dimension,*dptr)
dist = thm_sst_dist3d_16x1(/elec)
dist.project_name = 'THEMIS'
dist.data_name  = 'SST Electron Reduced Distribution'
dist.magf = !values.f_nan

if n_elements(index) eq 0 then begin
    if n_elements(time) eq 0 then begin
        ctime,time
    endif
    index=round( interp(dindgen(dim[0]),*data.ser_001_time,time) )
endif

dprint,dlevel=3,index

dist.index = index
dist.time = (*data.ser_001_time)[index]
dist.end_time = dist.time+3
dist.data= thm_part_decomp16((*data.ser_001_data)[index,*,*])
dist.cnfg= (*data.ser_001_cnfg)[index]
dist.atten = (*data.ser_001_atten)[index]
dist.units_name = 'Counts'
dist.valid=1
dist.mass = 0.511e6/(2.9979e5)^2


return,dist
end
